<?php
	
	include("conexion.php");
	date_default_timezone_set('America/Mazatlan');
	$id = $_POST['cod'];
	$suc = $_SESSION['IdSuc'];
$user= $_SESSION['nom_admin'];
$idu = $_SESSION['id_user'];
	$total = $_POST['total'];
	$anti = $_POST['anti'];
	$saldo = $_POST['saldo'];
	$cuentapago = $_POST['cuentapago'];
	$mp = $_POST['mp'];
	$ser = substr($id, 0,4);
	$fol = substr($id, 4,8);

	$fecha = date('Y-m-d H:i:s');
	
	$fechap = date('Y-m-d');

	



	$j = mysqli_query($conexion,"SELECT * FROM Ventas WHERE Serie ='$ser'AND FolioVenta = '$fol' AND Activo = 1");
	$f = mysqli_fetch_array($j);
	$codcliente = $f['IdCliente'];
	$an = $f['Anticipo'];
	$idsuc = $f['IdSucursal'];
	$fechaorden = $f['FechaBusq'];
	$monedero = $f['Monedero'];
	$totant = $an + $anti;
	$totalanticipos = $an + $anti + $monedero;
	$r = $total - $totanticipos;

	if($saldo == 0){
		$ep = 2;
	}else{
		$ep = 1;
	}

	$cli = mysqli_query($conexion,"SELECT * FROM Clientes WHERE IdCliente = '$codcliente'");
	$c = mysqli_fetch_array($cli);
	$tipo = $c['TipoCliente'];
	
	$vigm = mysqli_query($conexion,"SELECT * FROM VigenciaMonedero WHERE Activo = 1");
	$vig = mysqli_fetch_array($vigm);
	$vi = $vig['FechaVigencia'];
	if($fechaorden >= '2020-01-06'){
		if($ep == 2){
			if($tipo == 2){
				$mon = round(($total / 1.16) * 0.05,2);
			}else if($tipo == 1){
				$mon = round(($total / 1.16) * 0.1,2);
			}
			$descme = 'MODULO PAGOS - REGISTRO MONEDERO ELECTRONICO POR LA CANTIDAD DE '.$mon;
			$verif_mon = mysqli_query($conexion,"SELECT * From Monedero WHERE IdCliente = '$codcliente' and Activo = 1");
			if(mysqli_num_rows($verif_mon) > 0){
				$var = mysqli_fetch_array($verif_mon);
				$idm = $var['IdMonedero'];
				$vigencia = $var['Vigencia'];
				$tipomon = $var['TipoMonedero'];
				$saldoactual = $var['SaldoActual'];
				$ultimacompra = $var['UltimaCompra'];
				$saldototal = $saldoactual + $mon;

				$ume = mysqli_query($conexion,"UPDATE Monedero SET Vigencia = '$vi',SaldoActual = '$saldototal',UltimaCompra = '$fecha' WHERE IdCliente = '$codcliente' ");
				
				$umed = mysqli_query($conexion,"INSERT INTO MonederoDetalle VALUES (DEFAULT,'$ser','$fol','$idm',1,'$mon',1,'$idu','$fecha','$descme')");

			}else{
				$me = mysqli_query($conexion,"INSERT INTO Monedero VALUES(DEFAULT,'$codcliente','$vi',1,'$mon',DEFAULT,1)");
				sleep(2);
				$idmon = mysqli_query($conexion,"SELECT * FROM Monedero WHERE IdCliente = '$codcliente' and Activo = 1");
				$vmon = mysqli_fetch_array($idmon);
				$idm = $vmon['IdMonedero'];
				$umed = mysqli_query($conexion,"INSERT INTO MonederoDetalle VALUES (DEFAULT,'$ser','$fol','$idm',1,'$mon',1,'$idu','$fecha','$descme')");
			}
		}
	}

	if($mp == 1){
		$met = 'EFECTIVO';
	}else if($mp == 2){
		$met = 'DEPOSITO';
	}else if($mp == 3){
		$met = 'TARJETA';
	}else{
		$met = 'NA';
	}

	$des = 'PAGO CAPTURADO ORDEN '.$id.' METODO '.$met;
	$u = mysqli_query($conexion,"UPDATE Ventas SET Anticipo = '$totant',Saldo = '$saldo',EstadoPago = '$ep',CuentaPago = '$cuentapago' WHERE Serie = '$ser' AND FolioVenta = '$fol' ");
	$u = mysqli_query($conexion,"UPDATE Movimientos SET Saldo = '0' WHERE Serie = '$ser' AND FolioVenta = '$fol' ");
	$m = mysqli_query($conexion,"INSERT INTO Movimientos VALUES(DEFAULT,'$ser','$fol','$des',3,'$fecha','0','$anti','$saldo','$idu','$idsuc',1,'$fechap','$mp',0);");
	echo $u;





?>